<?php
auth_reauthenticate();
access_ensure_global_level( config_get( 'manage_plugin_threshold' ) );
html_page_top1( lang_get( 'plugin_format_title' ) );
html_page_top2();
print_manage_menu();
?>
<br/>
<form action="<?php echo plugin_page( 'config_edit' ) ?>" method="post">
<table align="center" class="width50" cellspacing="1">

<tr>
	<td class="form-title" colspan="3">
		<?php echo lang_get( 'plugin_tt_title' ) . ': ' . lang_get( 'plugin_tt_config' ) ?>
	</td>
</tr>

<tr <?php echo helper_alternate_class() ?>>
	<td class="category">
		<?php echo lang_get( 'timetrack_delete_threshold' ) ?>
	</td>
	<td class="center">
			<select name="timetrack_delete_threshold">
			<?php print_enum_string_option_list( 'access_levels', plugin_config_get( 'timetrack_delete_threshold'  ) ) ?>;
			</select> 
	</td>
</tr>

<tr <?php echo helper_alternate_class() ?>>
	<td class="category">
		<?php echo lang_get( 'timetrack_add_threshold' ) ?>
	</td>
	<td class="center">
			<select name="timetrack_add_threshold">
			<?php print_enum_string_option_list( 'access_levels', plugin_config_get( 'timetrack_add_threshold'  ) ) ?>;
			</select> 
	</td>
</tr>

<tr <?php echo helper_alternate_class() ?>>
	<td class="category">
		<?php echo lang_get( 'timetrack_admin_threshold' ) ?>
	</td>
	<td class="center">
			<select name="timetrack_admin_threshold">
			<?php print_enum_string_option_list( 'access_levels', plugin_config_get( 'timetrack_admin_threshold'  ) ) ?>;
			</select> 
	</td>
</tr>

<tr <?php echo helper_alternate_class() ?>>
	<td class="category">
		<?php echo lang_get( 'timetrack_maxrec' ) ?>
	</td>
	<td class="center">
		<label><input type="text" name="timetrack_maxrec" size="5" value="<?php echo plugin_config_get( 'timetrack_maxrec' ) ?>"/> </label>
	</td>
</tr>

<tr <?php echo helper_alternate_class() ?>>
	<td class="category">
		<?php echo lang_get( 'consultant_hourly_charge' ) ?>
	</td>
	<td class="center">
		<label><input type="text" name="consultant_hourly_charge" size="5" value="<?php echo plugin_config_get( 'consultant_hourly_charge' ) ?>"/> </label>
	</td>
</tr>

<tr <?php echo helper_alternate_class() ?>>
	<td class="category">
		<?php echo lang_get( 'consultant_manday_definition' ) ?>
	</td>
	<td class="center">
		<label><input type="text" name="consultant_manday_definition" size="5" value="<?php echo plugin_config_get( 'consultant_manday_definition' ) ?>"/> </label>
	</td>
</tr>

<tr <?php echo helper_alternate_class( )?>>
	<td class="category" width="60%">
		<?php echo lang_get( 'timetrack_history' )?>
	</td>
	<td class="center" width="20%">
		<label><input type="radio" name='timetrack_history' value="1" <?php echo( ON == plugin_config_get( 'timetrack_history' ) ) ? 'checked="checked" ' : ''?>/>
			<?php echo lang_get( 'enabledtt' )?></label>
	</td>
	<td class="center" width="20%">
		<label><input type="radio" name='timetrack_history' value="0" <?php echo( OFF == plugin_config_get( 'timetrack_history' ) )? 'checked="checked" ' : ''?>/>
			<?php echo lang_get( 'disabledtt' )?></label>
	</td>
</tr> 


<tr>
	<td class="center" colspan="3">
		<input type="submit" class="button" value="<?php echo lang_get( 'change_configuration' ) ?>" />
	</td>
</tr>

</table>
<form>

<?php
html_page_bottom1( __FILE__ );
?>