<?php
########################################################
# Mantis Bugtracker plugin Time Track
#
########################################################
require_once( 'core.php' );
$t_core_path = config_get( 'core_path' );
require_once( $t_core_path.'current_user_api.php' );
require_once( $t_core_path.'bug_api.php' );
require_once( $t_core_path.'date_api.php' );
require_once( $t_core_path.'icon_api.php' );
require_once( $t_core_path.'string_api.php' );
require_once( $t_core_path.'columns_api.php' ); 

$t_plugin_path = config_get( 'plugin_path' ); 
require_once( $t_plugin_path . 'TimeTrack/TimeTrack_api.php' );


auth_ensure_user_authenticated();
$t_cookie_value_id = gpc_get_cookie( config_get( 'view_all_cookie' ), '' );
$t_cookie_value = filter_db_get_filter( $t_cookie_value_id );
$f_type_page  = gpc_get_string( 'type_page', 'excel' );
$t_export_title = $g_page_title."_excel";
$t_export_title = ereg_replace( '[\/:*?"<>|]', '', $t_export_title );

# Make sure that IE can download the attachments under https.
header( 'Pragma: public' );
header( 'Content-Type: application/vnd.ms-excel' );
header( 'Content-Disposition: attachment; filename="' . $t_export_title . '.xls"' );
  
$informer=$_REQUEST['informer'];
$day_from = $_REQUEST['day_from'];
$month_from = $_REQUEST['month_from'];
$year_from = $_REQUEST['year_from'];
$day_to = $_REQUEST['day_to'];
$month_to = $_REQUEST['month_to'];
$year_to = $_REQUEST['year_to'];
//CN-7
if ( config_get( 'use_teams' ) == ON ) { 
	$team = $_REQUEST['team'];
}
//CN-7
?>
<html xmlns:o="urn:schemas-microsoft-com:office:office"
xmlns:x="urn:schemas-microsoft-com:office:excel"
xmlns="http://www.w3.org/TR/REC-html40">
<style id="Classeur1_16681_Styles">
</style>
<div id="Classeur1_16681" align=center x:publishsource="Excel">
<table x:str border=0 cellpadding=0 cellspacing=0 width=100% style='border-collapse:collapse'>
<tr>
<td class=xl2316681 style='border-left:none'><?php echo lang_get( 'priority' ) ?></td>
<td class=xl2316681 style='border-left:none'><?php echo lang_get( 'id' ) ?></td>
<td class=xl2316681 style='border-left:none'><?php echo lang_get( 'category' ) ?></td>
<td class=xl2316681 style='border-left:none'><?php echo lang_get( 'severity' ) ?></td>
<td class=xl2316681 style='border-left:none'><?php echo lang_get( 'status' ) ?></td>
<td class=xl2316681 style='border-left:none'><?php echo lang_get( 'recorded' ) ?></td>
<td class=xl2316681 style='border-left:none'><?php echo lang_get( 'project' ) ?></td>
<td class=xl2316681 style='border-left:none'><?php echo lang_get( 'summary' ) ?></td>
<td class=xl2316681 style='border-left:none'><?php echo lang_get( 'time_user' ); ?></td>
<td class=xl2316681 style='border-left:none'><?php echo lang_get( 'time_information' ); ?></td>
<td class=xl2316681 style='border-left:none'><?php echo lang_get( 'time_expenditure_date' ); ?></td>
<td class=xl2316681 style='border-left:none'><?php echo lang_get( 'time_hours' ); ?></td>
</tr>
<?php
$t_project_id       = 0;
if ( ! is_blank( $t_cookie_value ) ) {
    # check to see if new cookie is needed
    if ( ! filter_is_cookie_valid() ) {
      print_header_redirect( 'view_all_set.php?type=0&amp;print=1' );
    }
    $t_setting_arr = explode( '#', $t_cookie_value, 2 );
    $t_filter_cookie_arr = unserialize( $t_setting_arr[1] );
    $f_highlight_changed  = $t_filter_cookie_arr['highlight_changed'];
    $f_sort         = $t_filter_cookie_arr['sort'];
	$f_dir          = $t_filter_cookie_arr['dir'];
    $t_project_id       = helper_get_current_project( );
}
$t_icon_path = config_get( 'icon_path' );
//CN-7
if ( config_get( 'use_teams' ) == ON ) { 
	$all_reported_bugs_query="select t.id,b.priority,b.id,b.category_id,c.name,b.severity,b.status,t.timestamp,b.summary,t.user,t.info,t.hours,t.expenditure_date,u.realname from $time_table t, $bug_table b,$user_table u,$category_table c where t.bugid=b.id and t.user = u.id and b.category_id=c.id";
}else{
	$all_reported_bugs_query="select t.id,b.priority,b.id,b.category_id,c.name,b.severity,b.status,t.timestamp,b.summary,t.user,t.info,t.hours,t.expenditure_date from $time_table t, $bug_table b,$category_table c where t.bugid=b.id b.category_id=c.id ";
} 
//CN-7
if (!empty($informer) && $informer!=0) {
  $all_reported_bugs_query=$all_reported_bugs_query." and t.user=" . $informer;
} else {
	$all_reported_bugs_query=$all_reported_bugs_query." and t.user=" . $informer;
}
// CN-7
if ( config_get( 'use_teams' ) == ON ) { 
	if (!empty($team) && $team!=0) {
	$all_reported_bugs_query=$all_reported_bugs_query." and u.userteam=" . $team;
		}
}
// CN-7
if (!empty($day_from) && !empty($day_to) && !empty($month_from) && !empty($month_to) && !empty($year_from) && !empty($year_to)) {
  $all_reported_bugs_query=$all_reported_bugs_query." and t.expenditure_date between '" . $year_from . "-" . $month_from . "-" . $day_from . "' and '" . $year_to . "-" . $month_to . "-" . $day_to . "'"; 
}
if ($t_project_id!=0) {
  $all_reported_bugs_query=$all_reported_bugs_query . " and b.project_id=".$t_project_id;
} 
$all_reported_bugs_query=$all_reported_bugs_query . " order by t.expenditure_date ";
$result_timerecords = db_query_bound($all_reported_bugs_query);
$num_timerecords = db_num_rows( $result_timerecords );
#print $all_reported_bugs_query;
for( $i=0; $i < $num_timerecords; $i++ ) {
    $t_row = db_fetch_array( $result_timerecords );
    # alternate row colors
    $status_color = helper_alternate_colors( $i, '#ffffff', '#dddddd' );
?>
	<tr>
	<td class=xl2216681 nowrap style='border-top:none;border-left:none'><?php echo get_enum_element( 'priority', $t_row["priority"]) ?></td>
	<td class=xl2216681 nowrap style='border-top:none;border-left:none'><?php echo bug_format_id( $t_row["id"]) ?></td>
	<td class=xl2216681 nowrap style='border-top:none;border-left:none'><?php echo $t_row["category"] ?></td>
	<td class=xl2216681 nowrap style='border-top:none;border-left:none'><?php echo get_enum_element( 'severity', $t_row["severity"]) ?></td>
	<td class=xl2216681 nowrap style='border-top:none;border-left:none'><?php echo get_enum_element( 'status', $t_row["status"]) ?></td>
	<td class=xl2216681 nowrap style='border-top:none;border-left:none'><?php echo substr($t_row["timestamp"],0,10) ?></td>
	<td class=xl2216681 nowrap style='border-top:none;border-left:none'><?php echo $t_row["project_name"] ?></td>
	<td class=xl2216681 nowrap style='border-top:none;border-left:none'><?php echo $t_row["summary"] ?></td>
	<td class=xl2216681 nowrap style='border-top:none;border-left:none'><?php echo user_get_name($t_row["user"]) ?></td>
	<td class=xl2216681 nowrap style='border-top:none;border-left:none'><?php echo $t_row["info"] ?></td>
	<td class=xl2216681 nowrap style='border-top:none;border-left:none'><?php echo substr($t_row["expenditure_date"],0,10) ?></td>
	<td class=xl2216681 nowrap style='border-top:none;border-left:none'><?php echo number_format($t_row["hours"], 2, ',', '.') ?></td>
	</tr>
<?php
} # for_loop */
?>
</table>
</div>